<html>
<head>
<title>Ogre::InstancedGeometry::InstancedObject Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1InstancedGeometry.html">InstancedGeometry</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">InstancedObject</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::InstancedGeometry::InstancedObject Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::InstancedGeometry::InstancedObject" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p><code>#include &lt;<a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::InstancedGeometry::InstancedObject:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1InstancedGeometry_1_1InstancedObject__inherit__graph.gif" border="0" usemap="#Ogre_1_1InstancedGeometry_1_1InstancedObject_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1InstancedGeometry_1_1InstancedObject_inherit__map" id="Ogre_1_1InstancedGeometry_1_1InstancedObject_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="65,5,220,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1InstancedGeometry_1_1InstancedObject-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a6c17bdaf09f0904c9463a3e955b8f06c">TransformSpace</a> { <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a6c17bdaf09f0904c9463a3e955b8f06cad863ea15dc79cc72d760335afe073c8b">TS_LOCAL</a>, 
<a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a6c17bdaf09f0904c9463a3e955b8f06ca28433c670f3917f9491bf08bcad0694c">TS_PARENT</a>, 
<a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a6c17bdaf09f0904c9463a3e955b8f06ca9a8cf09109de7ea1fa945300b111af2d">TS_WORLD</a>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ad0174d7d2e08e50dbe4d103c487d844b">GeometryBucketList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">list of Geometry Buckets that contains the instanced object  <a href="#ad0174d7d2e08e50dbe4d103c487d844b"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aa5f6daf26547001574c97ef755291f17">InstancedObject</a> (unsigned short index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a754c0cb08a22fcf8f6d363e3a1ee06b0">InstancedObject</a> (unsigned short index, <a class="el" href="classOgre_1_1SkeletonInstance.html">SkeletonInstance</a> *skeleton, <a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *animations)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aac487b2a9b134673dbd0d0cf128a0c3b">~InstancedObject</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a8d5c2bf94296b0797e200e78b6577309">setPosition</a> (<a class="el" href="classOgre_1_1Vector3.html">Vector3</a> position)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#addc02715738fae8b439654ac46f2869a">getPosition</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#afadb7563f8c75ad79b365033976ff64f">yaw</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;angle)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aefa3c269808cc42b1ba4f0e1e798fef1">pitch</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;angle)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ad779744914b50047d406d82dc35bda72">roll</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;angle)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aea450cfe059922e356d7a05edb097e98">rotate</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;q)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a3cec1ca50cbf56759da97e4cbb49762e">setScale</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;scale)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a7cdd895805ff7c1c8e9fe1db17df6877">getScale</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ab92e65720fe96a397424bebc92db9ce1">setOrientation</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;q)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a60694e915e1832e67f6eaccd619a93d2">setPositionAndOrientation</a> (<a class="el" href="classOgre_1_1Vector3.html">Vector3</a> p, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;q)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a548d111f8207c871598bb35cc8d35fd7">getOrientation</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a6cfaf873d66502859f8f6b87b07d70a5">addBucketToList</a> (<a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a> *bucket)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a4de88a1c0a586a4743746f6cd1dd1c9e">needUpdate</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ad0174d7d2e08e50dbe4d103c487d844b">GeometryBucketList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a8f46c44974b4d94a98d6e427eca344b1">getGeometryBucketList</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a7379a1af9f3d74c861953ae2aa2a2130">translate</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;axes, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;move)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#af92c230d50fd79d13544591e0d82592d">translate</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;d)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ac6a3eff7b015165d31d899e419208086">getLocalAxes</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a1e5af2d803336fd11f7b551cee044e5b">updateAnimation</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a2f8ebb5bb9f9d61ff9a5bbc8afe5b2a0">getAnimationState</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SkeletonInstance.html">SkeletonInstance</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a4d1e463a0f7548fc6b214e5eb82fc5c9">getSkeletonInstance</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ad0174d7d2e08e50dbe4d103c487d844b">GeometryBucketList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a95f4ab8c33297e92134f2dc7264fbc4c">mGeometryBucketList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aea2753a5cad7e9667db0c5d70edee91e">mIndex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a42dd164d1a22f2b5d81f3b960cdf78e6">mTransformation</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a438337274251b4be86e4262e4a12110e">mOrientation</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a28cd1d0319fe373ec8f0c49ddfb5f42b">mScale</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a06be9bb180215197d95f3223eda93821">mPosition</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SkeletonInstance.html">SkeletonInstance</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ada671ff66786abf2c60c332f670e853f">mSkeletonInstance</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aa81bb5f5a50b38f97da1ee6e2bc3acb3">mBoneWorldMatrices</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Cached bone matrices, including any world transform.  <a href="#aa81bb5f5a50b38f97da1ee6e2bc3acb3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a7abb7e5b6b8487977c412174c46a4a68">mBoneMatrices</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Cached bone matrices in skeleton local space.  <a href="#a7abb7e5b6b8487977c412174c46a4a68"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a4b56beafde52b601500f546fa4c6e570">mAnimationState</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">State of animation for animable meshes.  <a href="#a4b56beafde52b601500f546fa4c6e570"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a9540a22e67e987edea356a1167a644cd">mNumBoneMatrices</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a9cf770df6c5caf7101f14e8377675753">mFrameAnimationLastUpdated</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Records the last frame in which animation was updated.  <a href="#a9cf770df6c5caf7101f14e8377675753"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a19c0bb2442a83b4f686c162653cd8ac0">GeometryBucket</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00260">260</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="ad0174d7d2e08e50dbe4d103c487d844b"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::GeometryBucketList" ref="ad0174d7d2e08e50dbe4d103c487d844b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a>*&gt;::type <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ad0174d7d2e08e50dbe4d103c487d844b">Ogre::InstancedGeometry::InstancedObject::GeometryBucketList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>list of Geometry Buckets that contains the instanced object </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00274">274</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a6c17bdaf09f0904c9463a3e955b8f06c"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::TransformSpace" ref="a6c17bdaf09f0904c9463a3e955b8f06c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a6c17bdaf09f0904c9463a3e955b8f06c">Ogre::InstancedGeometry::InstancedObject::TransformSpace</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a6c17bdaf09f0904c9463a3e955b8f06cad863ea15dc79cc72d760335afe073c8b"></a><!-- doxytag: member="TS_LOCAL" ref="a6c17bdaf09f0904c9463a3e955b8f06cad863ea15dc79cc72d760335afe073c8b" args="" -->TS_LOCAL</em>&nbsp;</td><td>
<p>Transform is relative to the local space. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a6c17bdaf09f0904c9463a3e955b8f06ca28433c670f3917f9491bf08bcad0694c"></a><!-- doxytag: member="TS_PARENT" ref="a6c17bdaf09f0904c9463a3e955b8f06ca28433c670f3917f9491bf08bcad0694c" args="" -->TS_PARENT</em>&nbsp;</td><td>
<p>Transform is relative to the space of the parent node. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a6c17bdaf09f0904c9463a3e955b8f06ca9a8cf09109de7ea1fa945300b111af2d"></a><!-- doxytag: member="TS_WORLD" ref="a6c17bdaf09f0904c9463a3e955b8f06ca9a8cf09109de7ea1fa945300b111af2d" args="" -->TS_WORLD</em>&nbsp;</td><td>
<p>Transform is relative to world space. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00264">264</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa5f6daf26547001574c97ef755291f17"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::InstancedObject" ref="aa5f6daf26547001574c97ef755291f17" args="(unsigned short index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aa5f6daf26547001574c97ef755291f17">Ogre::InstancedGeometry::InstancedObject::InstancedObject</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a754c0cb08a22fcf8f6d363e3a1ee06b0"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::InstancedObject" ref="a754c0cb08a22fcf8f6d363e3a1ee06b0" args="(unsigned short index, SkeletonInstance *skeleton, AnimationStateSet *animations)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aa5f6daf26547001574c97ef755291f17">Ogre::InstancedGeometry::InstancedObject::InstancedObject</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SkeletonInstance.html">SkeletonInstance</a> *&#160;</td>
          <td class="paramname"><em>skeleton</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *&#160;</td>
          <td class="paramname"><em>animations</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aac487b2a9b134673dbd0d0cf128a0c3b"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::~InstancedObject" ref="aac487b2a9b134673dbd0d0cf128a0c3b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aac487b2a9b134673dbd0d0cf128a0c3b">Ogre::InstancedGeometry::InstancedObject::~InstancedObject</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a6cfaf873d66502859f8f6b87b07d70a5"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::addBucketToList" ref="a6cfaf873d66502859f8f6b87b07d70a5" args="(GeometryBucket *bucket)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a6cfaf873d66502859f8f6b87b07d70a5">Ogre::InstancedGeometry::InstancedObject::addBucketToList</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a> *&#160;</td>
          <td class="paramname"><em>bucket</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2f8ebb5bb9f9d61ff9a5bbc8afe5b2a0"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::getAnimationState" ref="a2f8ebb5bb9f9d61ff9a5bbc8afe5b2a0" args="(const String &amp;name) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a2f8ebb5bb9f9d61ff9a5bbc8afe5b2a0">Ogre::InstancedGeometry::InstancedObject::getAnimationState</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8f46c44974b4d94a98d6e427eca344b1"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::getGeometryBucketList" ref="a8f46c44974b4d94a98d6e427eca344b1" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ad0174d7d2e08e50dbe4d103c487d844b">GeometryBucketList</a>&amp; <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a8f46c44974b4d94a98d6e427eca344b1">Ogre::InstancedGeometry::InstancedObject::getGeometryBucketList</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00309">309</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac6a3eff7b015165d31d899e419208086"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::getLocalAxes" ref="ac6a3eff7b015165d31d899e419208086" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ac6a3eff7b015165d31d899e419208086">Ogre::InstancedGeometry::InstancedObject::getLocalAxes</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a548d111f8207c871598bb35cc8d35fd7"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::getOrientation" ref="a548d111f8207c871598bb35cc8d35fd7" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&amp; <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a548d111f8207c871598bb35cc8d35fd7">Ogre::InstancedGeometry::InstancedObject::getOrientation</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="addc02715738fae8b439654ac46f2869a"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::getPosition" ref="addc02715738fae8b439654ac46f2869a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#addc02715738fae8b439654ac46f2869a">Ogre::InstancedGeometry::InstancedObject::getPosition</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a7cdd895805ff7c1c8e9fe1db17df6877"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::getScale" ref="a7cdd895805ff7c1c8e9fe1db17df6877" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a7cdd895805ff7c1c8e9fe1db17df6877">Ogre::InstancedGeometry::InstancedObject::getScale</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a4d1e463a0f7548fc6b214e5eb82fc5c9"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::getSkeletonInstance" ref="a4d1e463a0f7548fc6b214e5eb82fc5c9" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SkeletonInstance.html">SkeletonInstance</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a4d1e463a0f7548fc6b214e5eb82fc5c9">Ogre::InstancedGeometry::InstancedObject::getSkeletonInstance</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00315">315</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4de88a1c0a586a4743746f6cd1dd1c9e"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::needUpdate" ref="a4de88a1c0a586a4743746f6cd1dd1c9e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a4de88a1c0a586a4743746f6cd1dd1c9e">Ogre::InstancedGeometry::InstancedObject::needUpdate</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="aefa3c269808cc42b1ba4f0e1e798fef1"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::pitch" ref="aefa3c269808cc42b1ba4f0e1e798fef1" args="(const Radian &amp;angle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aefa3c269808cc42b1ba4f0e1e798fef1">Ogre::InstancedGeometry::InstancedObject::pitch</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>angle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad779744914b50047d406d82dc35bda72"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::roll" ref="ad779744914b50047d406d82dc35bda72" args="(const Radian &amp;angle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ad779744914b50047d406d82dc35bda72">Ogre::InstancedGeometry::InstancedObject::roll</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>angle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aea450cfe059922e356d7a05edb097e98"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::rotate" ref="aea450cfe059922e356d7a05edb097e98" args="(const Quaternion &amp;q)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aea450cfe059922e356d7a05edb097e98">Ogre::InstancedGeometry::InstancedObject::rotate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>q</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab92e65720fe96a397424bebc92db9ce1"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::setOrientation" ref="ab92e65720fe96a397424bebc92db9ce1" args="(const Quaternion &amp;q)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ab92e65720fe96a397424bebc92db9ce1">Ogre::InstancedGeometry::InstancedObject::setOrientation</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>q</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8d5c2bf94296b0797e200e78b6577309"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::setPosition" ref="a8d5c2bf94296b0797e200e78b6577309" args="(Vector3 position)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a8d5c2bf94296b0797e200e78b6577309">Ogre::InstancedGeometry::InstancedObject::setPosition</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td>
          <td class="paramname"><em>position</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a60694e915e1832e67f6eaccd619a93d2"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::setPositionAndOrientation" ref="a60694e915e1832e67f6eaccd619a93d2" args="(Vector3 p, const Quaternion &amp;q)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a60694e915e1832e67f6eaccd619a93d2">Ogre::InstancedGeometry::InstancedObject::setPositionAndOrientation</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>q</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3cec1ca50cbf56759da97e4cbb49762e"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::setScale" ref="a3cec1ca50cbf56759da97e4cbb49762e" args="(const Vector3 &amp;scale)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a3cec1ca50cbf56759da97e4cbb49762e">Ogre::InstancedGeometry::InstancedObject::setScale</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>scale</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a7379a1af9f3d74c861953ae2aa2a2130"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::translate" ref="a7379a1af9f3d74c861953ae2aa2a2130" args="(const Matrix3 &amp;axes, const Vector3 &amp;move)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a7379a1af9f3d74c861953ae2aa2a2130">Ogre::InstancedGeometry::InstancedObject::translate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>axes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>move</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af92c230d50fd79d13544591e0d82592d"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::translate" ref="af92c230d50fd79d13544591e0d82592d" args="(const Vector3 &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a7379a1af9f3d74c861953ae2aa2a2130">Ogre::InstancedGeometry::InstancedObject::translate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a1e5af2d803336fd11f7b551cee044e5b"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::updateAnimation" ref="a1e5af2d803336fd11f7b551cee044e5b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a1e5af2d803336fd11f7b551cee044e5b">Ogre::InstancedGeometry::InstancedObject::updateAnimation</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="afadb7563f8c75ad79b365033976ff64f"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::yaw" ref="afadb7563f8c75ad79b365033976ff64f" args="(const Radian &amp;angle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#afadb7563f8c75ad79b365033976ff64f">Ogre::InstancedGeometry::InstancedObject::yaw</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>angle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a19c0bb2442a83b4f686c162653cd8ac0"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::GeometryBucket" ref="a19c0bb2442a83b4f686c162653cd8ac0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00262">262</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a4b56beafde52b601500f546fa4c6e570"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mAnimationState" ref="a4b56beafde52b601500f546fa4c6e570" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a4b56beafde52b601500f546fa4c6e570">Ogre::InstancedGeometry::InstancedObject::mAnimationState</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>State of animation for animable meshes. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00288">288</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7abb7e5b6b8487977c412174c46a4a68"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mBoneMatrices" ref="a7abb7e5b6b8487977c412174c46a4a68" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a7abb7e5b6b8487977c412174c46a4a68">Ogre::InstancedGeometry::InstancedObject::mBoneMatrices</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Cached bone matrices in skeleton local space. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00286">286</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa81bb5f5a50b38f97da1ee6e2bc3acb3"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mBoneWorldMatrices" ref="aa81bb5f5a50b38f97da1ee6e2bc3acb3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aa81bb5f5a50b38f97da1ee6e2bc3acb3">Ogre::InstancedGeometry::InstancedObject::mBoneWorldMatrices</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Cached bone matrices, including any world transform. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00284">284</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9cf770df6c5caf7101f14e8377675753"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mFrameAnimationLastUpdated" ref="a9cf770df6c5caf7101f14e8377675753" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a9cf770df6c5caf7101f14e8377675753">Ogre::InstancedGeometry::InstancedObject::mFrameAnimationLastUpdated</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Records the last frame in which animation was updated. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00291">291</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a95f4ab8c33297e92134f2dc7264fbc4c"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mGeometryBucketList" ref="a95f4ab8c33297e92134f2dc7264fbc4c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ad0174d7d2e08e50dbe4d103c487d844b">GeometryBucketList</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a95f4ab8c33297e92134f2dc7264fbc4c">Ogre::InstancedGeometry::InstancedObject::mGeometryBucketList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00276">276</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="aea2753a5cad7e9667db0c5d70edee91e"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mIndex" ref="aea2753a5cad7e9667db0c5d70edee91e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aea2753a5cad7e9667db0c5d70edee91e">Ogre::InstancedGeometry::InstancedObject::mIndex</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00277">277</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9540a22e67e987edea356a1167a644cd"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mNumBoneMatrices" ref="a9540a22e67e987edea356a1167a644cd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a9540a22e67e987edea356a1167a644cd">Ogre::InstancedGeometry::InstancedObject::mNumBoneMatrices</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00289">289</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a438337274251b4be86e4262e4a12110e"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mOrientation" ref="a438337274251b4be86e4262e4a12110e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a438337274251b4be86e4262e4a12110e">Ogre::InstancedGeometry::InstancedObject::mOrientation</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00279">279</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a06be9bb180215197d95f3223eda93821"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mPosition" ref="a06be9bb180215197d95f3223eda93821" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a06be9bb180215197d95f3223eda93821">Ogre::InstancedGeometry::InstancedObject::mPosition</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00281">281</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a28cd1d0319fe373ec8f0c49ddfb5f42b"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mScale" ref="a28cd1d0319fe373ec8f0c49ddfb5f42b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a28cd1d0319fe373ec8f0c49ddfb5f42b">Ogre::InstancedGeometry::InstancedObject::mScale</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00280">280</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="ada671ff66786abf2c60c332f670e853f"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mSkeletonInstance" ref="ada671ff66786abf2c60c332f670e853f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SkeletonInstance.html">SkeletonInstance</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ada671ff66786abf2c60c332f670e853f">Ogre::InstancedGeometry::InstancedObject::mSkeletonInstance</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00282">282</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a42dd164d1a22f2b5d81f3b960cdf78e6"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mTransformation" ref="a42dd164d1a22f2b5d81f3b960cdf78e6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a42dd164d1a22f2b5d81f3b960cdf78e6">Ogre::InstancedGeometry::InstancedObject::mTransformation</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00278">278</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
